package com.nokia.vo;

import com.nokia.pojo.User;
import lombok.Data;

/**
 * 用于acl返回给工单流转系统的用户信息
 * <p>
 * 流转：
 * 用户账号(account),
 * 用户ID(userId),
 * 用户名称（userName）
 */
@Data
public class LiuchengUserVo {
    private String account;
    private Integer userId;
    private String userName;

    public LiuchengUserVo(User userEntity) {
        this.account = userEntity.getLoginName();
        this.userId = userEntity.getUserId();
        this.userName = userEntity.getUserName();
    }
}
